Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 231816 - Selinux and squid cachemgr.cgi problem
Summary: Selinux and squid cachemgr.cgi problem
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 6
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact: Ben Levenson
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-12 10:28 UTC by Daniel Rowe
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version: Current
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-08-22 14:03:10 UTC


Attachments (Terms of Use)

Description Daniel Rowe 2007-03-12 10:28:52 UTC
Description of problem:

Selinux policy not allowing Squid's cache manager (cachemgr.cgi) to work.  


Version-Release number of selected component (if applicable):

squid-2.6.STABLE9-1.fc6
selinux-policy-targeted-2.4.6-41.fc6

How reproducible:

Every time.

Steps to Reproduce:

Access http://localhost/Squid/cgi-bin/cachemgr.cgi 
  
Actual results:

Fails to work with below in the audit.
avc: denied { read } for comm="prelink" dev=dm-0 egid=0 euid=0
exe="/usr/sbin/prelink" exit=-13 fsgid=0 fsuid=0 gid=0 items=0
name="cachemgr.cgi" pid=8455 scontext=system_u:system_r:prelink_t:s0-s0:c0.c1023
sgid=0 subj=system_u:system_r:prelink_t:s0-s0:c0.c1023 suid=0 tclass=file
tcontext=system_u:object_r:httpd_sys_content_t:s0 tty=(none) uid=0 

avc: denied { search } for comm="cachemgr.cgi" dev=dm-0 egid=48 euid=48
exe="/usr/lib64/squid/cachemgr.cgi" exit=-13 fsgid=48 fsuid=48 gid=48 items=0
name="squid" pid=2465 scontext=user_u:system_r:httpd_sys_script_t:s0 sgid=48
subj=user_u:system_r:httpd_sys_script_t:s0 suid=48 tclass=dir
tcontext=system_u:object_r:squid_conf_t:s0 tty=(none) uid=48 

Expected results:

Work.

Additional info:

Comment 1 Daniel Walsh 2007-03-20 15:54:53 UTC
Fixed in selinux-policy-2.4.6-46

Comment 2 Daniel Walsh 2007-08-22 14:03:10 UTC
Closed as all fixes are in the current release


Note You need to log in before you can comment on or make changes to this bug.